#
# spec file for package libmcrypt (Version 2.5.7)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libmcrypt
License:        Other License(s), see package, GPL
Group:          System/Libraries
Autoreqprov:    on
Obsoletes:      libmcrpt
Version:        2.5.7
Release:        136.2
Summary:        Data Encryption Library
Source:         libmcrypt-%{version}.tar.bz2
Source1:        libmcrypt-idea-0.9.tar.bz2
Source2:        libmcrypt-mars-0.9.tar.bz2
Source3:        libmcrypt-rc6-0.9.tar.bz2
Source4:        libmcrypt-skipjack-0.9.tar.bz2
Patch:          libmcrypt-%{version}.diff
Patch1:         libmcrypt-%{version}-notdynamic.diff
Patch2:         libmcrypt-%{version}-automake.diff
URL:            http://mcrypt.hellug.gr/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Libmcrypt  is a data encryption library.  The library is thread safe
and provides encryption and decryption functions. This version of the
library supports many encryption algorithms and encryption modes.
Supported algorithms include SERPENT, RIJNDAEL, 3DES, GOST, SAFER+,
CAST-256, RC2, XTEA, 3WAY, TWOFISH, BLOWFISH, ARC. FOUR, and WAKE.



Authors:
--------
    Nikos Mavroyanopoulos <nmav@hellug.gr>

%debug_package
%package -n libmcrypt-devel
Summary:        Development Package for Libmcrypt
Group:          System/Libraries
Requires:       libmcrypt
Obsoletes:      libmcrpd

%description -n libmcrypt-devel
Files needed for software development using libmcrypt.



Authors:
--------
    Nikos Mavroyanopoulos <nmav@hellug.gr>

%prep
%setup -n libmcrypt-%{version} -a 1 -a 2 -a 3 -a 4
%patch
%patch1
%patch2

%build
libtoolize --force
%{suse_update_config -f}
for m in idea mars rc6 skipjack; do
  cp libmcrypt-$m-*/modules/algorithms/*.[ch] modules/algorithms
  sed -e "s/^EXTRA_DIST = /EXTRA_DIST = $m.h /" \
      -e "s/^EXTRA_LTLIBRARIES = /EXTRA_LTLIBRARIES = $m.la /" \
      modules/algorithms/Makefile.am >modules/algorithms/Makefile.am2
  mv modules/algorithms/Makefile.am2 modules/algorithms/Makefile.am
  echo "${m}_la_SOURCES = $m.c" >> modules/algorithms/Makefile.am
  echo "${m}_la_LDFLAGS = -module -avoid-version -rpath \$(pkglibdir)" >> modules/algorithms/Makefile.am
done
remove_module() {
  cd modules/algorithms;
  for mname in $*; do
    sed -e "/${mname//-/_}_la/d" -e "s/${mname}.h//" -e "s/${mname}.la//" Makefile.am > Makefile.am2;
    mv Makefile.am2 Makefile.am
  done
  cd -
  for mname in $*; do
    sed -e "s/${mname}//" configure.in > configure.in.2
    mv configure.in.2 configure.in
  done
  for mname in $*; do
    sed -e "/\"${mname//-/[-_]}/d" lib/mcrypt_symb.c > lib/mcrypt_symb.c.2
    mv lib/mcrypt_symb.c.2 lib/mcrypt_symb.c
  done
}
# remove algorithms which do not work
# big endian architectures
%ifarch sparc ppc ppc64 s390 s390x mips
remove_module panama rc6
%endif
# 64bit architectures and s390
%ifarch alpha ia64 s390
remove_module cast-256 mars rc6
%endif
rm -f acinclude.m4
autoreconf -fi
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --mandir=%{_mandir} --enable-static --libdir=%_libdir
make
make check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog KNOWN-BUGS NEWS README THANKS TODO doc/README.*
%_libdir/libmcrypt
%_libdir/libmcrypt.so.*
%_libdir/libmcrypt.la

%files -n libmcrypt-devel
%defattr(-, root, root)
%doc doc/example.c
/usr/bin/*
/usr/share/aclocal/*
/usr/include/mcrypt.h
%_libdir/libmcrypt.a
%_libdir/libmcrypt.so
%doc %{_mandir}/man3/*

%changelog -n libmcrypt
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 19 2004 - ro@suse.de
- fix libmcrypt.m4 for current automake
* Sat Jan 10 2004 - schwab@suse.de
- Remove useless acinclude.m4.
* Thu Sep 25 2003 - schwab@suse.de
- Fix remove_module.
* Thu Jul 24 2003 - tcrhak@suse.cz
- update to version 2.5.7
* Tue Jan 21 2003 - meissner@suse.de
- Also remove the ignored algorithms from configure
  so that it builds on non Intel 32bit again.
* Fri Jan 10 2003 - tcrhak@suse.cz
- disabled dynamic loading for idea, mars, rc6 and skipjack;
  this is the default for modules within the main tarball for
  security reasons
* Mon Jan 06 2003 - tcrhak@suse.cz
- update to version 2.5.5
* Thu Dec 19 2002 - tcrhak@suse.cz
- update to version 2.5.4
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Fri Aug 16 2002 - kukuk@suse.de
- Move libmcrypt.la to main package to make libtools dlopen happy.
* Mon Aug 05 2002 - prehak@suse.cz
- update to version 2.5.2
- fixed includes in mars module algorithm
* Tue Jun 18 2002 - meissner@suse.de
- do not build panama, rc6 for ppc64 either.
* Fri Apr 26 2002 - tcrhak@suse.cz
- added prototype of mcrypt_check_version to mcrypt.h
  (necessary for mcrypt to configure on ia64)
- added description of mcrypt_check_version to mcrypt.3
- don't build panama and rc6 for s390x
* Thu Apr 25 2002 - coolo@suse.de
- use %%_libdir
- added mips to big endian architectures
* Mon Feb 25 2002 - tcrhak@suse.cz
- moved *.la from the devel to the main package; needed by
  mcrypt_list_algorithms() and mcrypt_list_modes()
* Tue Jan 29 2002 - cihlar@suse.cz
- added /usr/bin/* and /usr/share/aclocal/* to %%files
* Fri Jan 25 2002 - cihlar@suse.cz
- updated libmcrypt to version 2.4.20
- updated all modules to version 0.9
- removed obsolete patches for rc6 and mars
- run suse_update_config always
- added "make check"
- fixed lists of algorithms which do not work on each
  architecture
- compile with $RPM_OPT_FLAGS also on ia64
* Thu Aug 23 2001 - schwab@suse.de
- Fix integration of MARS and RC6.
- Compile with -O1 on ia64 to workaround compiler bug.
- Update libltdl directory.
- Configure with --enable-static to get static modules.
* Wed Aug 08 2001 - cihlar@suse.cz
- completed MODULES list
- fix to work only with existing modules
  from MODULES
* Mon Jul 16 2001 - kukuk@suse.de
- Build all modules on SPARC again
* Wed Jun 27 2001 - pblaha@suse.cz
- update on 2.4.15
- fix problem with make static lib
* Mon Mar 26 2001 - pblaha@suse.cz
- update on 2.4.10
* Thu Feb 01 2001 - pblaha@suse.cz
- update on 2.4.9
* Wed Jan 24 2001 - pblaha@suse.cz
- update on 2.4.8
* Tue Nov 21 2000 - pblaha@suse.cz
- update on 2.4.7
* Wed Sep 13 2000 - fober@suse.de
- for s390: %%suse_update_config in %%setup
- removed mars idea rc6 cast-256 on s390
- removed wake on s390: this one is especially strange: its only
  modes: line in the test says ,,failed'', yet the algorithm-lines say
  ,,ok''!
* Mon Jun 26 2000 - uli@suse.de
- removed rc6 and idea for PPC
* Sun Jun 04 2000 - kukuk@suse.de
- Remove algorithms which does not work correctly on SPARC
* Fri May 26 2000 - bubnikv@suse.cz
- sorted
* Mon Apr 17 2000 - bubnikv@suse.cz
- added addon cipher algorithms
- some cipher algorithms do not work correctly on axp,
  those are removed from package on axp
* Fri Apr 07 2000 - bubnikv@suse.cz
- new package (version 2.4.2)
